package cz.moneta.test.dsl.mwf.subsidyaccount;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF133 extends MwfRequest<MWF133, MWF133Response> {

    @Parameter(name = "AVPole")
    MWF133 aVPole(String aVPole);
    @Parameter(name = "Cache")
    MWF133 cache(String cache);
    @Parameter(name = "CastkaTransakce")
    MWF133 castkaTransakce(Double castkaTransakce);
    @Parameter(name = "CisloCostCentra")
    MWF133 cisloCostCentra(String cisloCostCentra);
    @Parameter(name = "CisloUctuInterni")
    MWF133 cisloUctuInterni(String cisloUctuInterni);
    @Parameter(name = "CisloUctuPrijemceInterni")
    MWF133 cisloUctuPrijemceInterni(String cisloUctuPrijemceInterni);
    @Parameter(name = "DatumSplatnosti")
    MWF133 datumSplatnosti(java.util.Date datumSplatnosti);
    @Parameter(name = "KodBanky")
    MWF133 kodBanky(String kodBanky);
    @Parameter(name = "KodMenyTransakce")
    MWF133 kodMenyTransakce(Long kodMenyTransakce);
    @Parameter(name = "KonstantniSymbol")
    MWF133 konstantniSymbol(String konstantniSymbol);
    @Parameter(name = "SpecifickySymbol")
    MWF133 specifickySymbol(Long specifickySymbol);
    @Parameter(name = "VariabilniSymbol")
    MWF133 variabilniSymbol(Long variabilniSymbol);
}